%global compdir %(pkg-config --variable=completionsdir bash-completion)
%global __requires_exclude .*Acme::Cow.*

%global cowsdir %{_datadir}/%{name}/cows
%global sitecowsdir %{_datadir}/%{name}/site-cows

Name:           cowsay
Version:        3.7.0
Release:    1%{?dist}
Summary:        Configurable speaking/thinking cow
License: GPL-2.0-or-later
URL:            https://github.com/cowsay-org/cowsay
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        cowsay.bashcomp
Source2:        animalsay
Patch0:         fox-cow.patch

BuildArch:      noarch
BuildRequires:  bash-completion
BuildRequires:  perl-generators
Requires:       perl-Encode
Requires:	filesystem >= 3.6-1

%description
cowsay is a configurable talking cow, written in Perl.  It operates
much as the figlet program does, and it is written in the same spirit
of silliness.
It generates ASCII pictures of a cow with a message. It can also generate
pictures of other animals.

%prep
%setup -q

%patch0 -p1

%build
echo No need to build anything

%install
install -d -m 0755         %{buildroot}%{_bindir}
install -p -m 0755 %{name} %{buildroot}%{_bindir}
ln -s              %{name} %{buildroot}%{_bindir}/cowthink

install -d -m 0755           %{buildroot}%{_mandir}/man1
install -p -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1
ln -s              %{name}.1 %{buildroot}%{_mandir}/man1/cowthink.1

install -d -m 0755              %{buildroot}%{cowsdir}
install -p -m 0644 share/cows/* %{buildroot}%{cowsdir}

install -d -m 0755              %{buildroot}%{sitecowsdir}

install -d -m 0755              %{buildroot}%{_sysconfdir}/%{name}/cowpath.d


rm -f %{buildroot}%{_datadir}/%{name}/cows/daemon.cow
install -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}
install -d -m 0755            %{buildroot}%{compdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{compdir}/%{name}

%files
%doc ChangeLog LICENSE.txt README*
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/cowpath.d
%{_bindir}/*
%{_mandir}/man1/cow*
%dir %{_datadir}/%{name}
%{cowsdir}
%exclude %{cowsdir}/*.pm
%exclude %{cowsdir}/bong.cow
%exclude %{cowsdir}/sodomized.cow
%exclude %{cowsdir}/satanic.cow
%exclude %{cowsdir}/telebears.cow
%exclude %{cowsdir}/head-in.cow
%exclude %{cowsdir}/mutilated.cow
%dir %{sitecowsdir}
%{compdir}/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-1
- initial build
